Option Explicit On 
Option Strict On
Option Compare Binary

Imports System

' <remarks>
'   Stellt einen Benutzer dar.
' </remarks>
Public Class User
    Private m_strName As String
    Private m_uintAge As UInt32

    ' <summary>
    '   Erstellt eine Instanz der Klasse auf 
    '   und weist den Eigenschaften die in
    '    den Parametern bergebenen Werte zu.
    ' </summary>
    ' <param name="strName">Name des Benutzers.</param>
    ' <param name="uintAge">Alter des Benutzers.</param>
    Public Sub New(ByRef strName As String, _
      ByVal uintAge As UInt32)
        Name = strName
        Age = uintAge
    End Sub

    ' <summary>
    '   Gibt den Namen des Benutzers an 
    '   oder gibt ihn zurck.
    ' </summary>
    ' <value>Name des Benutzers.</value>
    Public Property Name() As String
        Get
            Return m_strName
        End Get
        Set(ByVal Value As String)
            m_strName = Value
        End Set
    End Property

    ' <summary>
    '   Gibt das Alter des Benutzers 
    '   an oder gibt es zurck.
    ' </summary>
    ' <value>Alter des Benutzers.</value>
    Public Property Age() As UInt32
        Get
            Return m_uintAge
        End Get
        Set(ByVal Value As UInt32)
            m_uintAge = Value
        End Set
    End Property

    ' <summary>
    '   Erstellt einen String, der die 
    '   Instanz reprsentiert und gibt sie zurck.
    ' </summary>
    ' <returns>Gibt eine Textreprsentation der 
    '   Instanz zurck.</returns>
    Public Overrides Function ToString() As String
        Return String.Concat(Name, ", ", Age)
    End Function
End Class